%define anolis_release 1
%global debug_package %{nil}

Name:       docker-compose-plugin
Version:    2.10.2
Release:    %{anolis_release}%{?dist}
Summary:    Docker Compose (V2) plugin for the Docker CLI
License:    ASL 2.0
URL:        https://github.com/docker/compose/
Source0:    https://github.com/docker/compose/archive/refs/tags/v%{version}.tar.gz
# unpack `Source0` first, the run `go mod vendor` to create the vendor directory
# and compress the vendor directory into vendor.tar.gz
Source1:    vendor.tar.gz

BuildRequires: bash
BuildRequires: golang >= 1.17

%description
Docker Compose (V2) plugin for the Docker CLI.

This plugin provides the 'docker compose' subcommand.

The binary can also be run standalone as a direct replacement for
Docker Compose V1 ('docker-compose').

%prep
%setup -n compose-%{version} -qa1

%build
pushd ${RPM_BUILD_DIR}/compose-%{version}
    make VERSION=%{version} DESTDIR=./bin -mod=vendor build
popd

%check
ver="$(${RPM_BUILD_ROOT}%{_libexecdir}/docker/cli-plugins/docker-compose docker-cli-plugin-metadata | awk '{ gsub(/[",:]/,"")}; $1 == "Version" { print $2 }')"; \
    test "$ver" = "%{version}" && echo "PASS: docker-compose version OK" || (echo "FAIL: docker-compose version ($ver) did not match" && exit 1)

%install
pushd ${RPM_BUILD_DIR}/compose-%{version}
    install -D -p -m 0755 bin/docker-compose ${RPM_BUILD_ROOT}%{_libexecdir}/docker/cli-plugins/docker-compose
popd

for f in LICENSE MAINTAINERS NOTICE README.md; do
    install -D -p -m 0644 "${RPM_BUILD_DIR}/compose-%{version}/$f" "docker-compose-plugin-docs/$f"
done

%files
%doc docker-compose-plugin-docs/*
%license docker-compose-plugin-docs/LICENSE
%license docker-compose-plugin-docs/NOTICE
%{_libexecdir}/docker/cli-plugins/docker-compose

%changelog
* Tue Sep 20 2022 yuanhui <yuanhui@linux.alibaba.com> - 2.10.2-1
- Init for Anolis OS 8
